Index: trunk/examples/extended/electromagnetic/TestEm7/include/DetectorConstruction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/DetectorConstruction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/DetectorConstruction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorConstruction.hh,v 1.2 2006/06/29 16:57:29 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/DetectorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/DetectorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/DetectorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: DetectorMessenger.hh,v 1.3 2006/06/29 16:57:31 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/EventAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/EventAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/EventAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventAction.hh,v 1.2 2006/06/29 16:57:34 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/EventActionMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/EventActionMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/EventActionMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: EventActionMessenger.hh,v 1.3 2006/06/29 16:57:36 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandard.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandard.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandard.hh	(revision 1337)
@@ -26,5 +26,5 @@
 //
 // $Id: PhysListEmStandard.hh,v 1.3 2006/06/29 16:57:44 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandardNR.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandardNR.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandardNR.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandardNR.hh,v 1.1 2008/01/14 12:11:38 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandardSS.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandardSS.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/PhysListEmStandardSS.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysListEmStandardSS.hh,v 1.1 2006/10/24 11:37:56 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/PhysicsList.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/PhysicsList.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/PhysicsList.hh	(revision 1337)
@@ -25,6 +25,6 @@
 //
 //
-// $Id: PhysicsList.hh,v 1.8 2008/11/20 20:34:50 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// $Id: PhysicsList.hh,v 1.10 2010/06/04 15:42:23 vnivanch Exp $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
@@ -39,5 +39,4 @@
 
 #include "G4VModularPhysicsList.hh"
-#include "G4EmConfigurator.hh"
 #include "globals.hh"
 
@@ -70,5 +69,5 @@
 private:
 
-  G4EmConfigurator em_config; 
+  void AddIonGasModels();
 
   G4double cutForGamma;
Index: trunk/examples/extended/electromagnetic/TestEm7/include/PhysicsListMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/PhysicsListMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/PhysicsListMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PhysicsListMessenger.hh,v 1.3 2006/06/29 16:57:52 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/PrimaryGeneratorAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/PrimaryGeneratorAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/PrimaryGeneratorAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorAction.hh,v 1.3 2006/06/29 16:57:54 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/PrimaryGeneratorMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/PrimaryGeneratorMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/PrimaryGeneratorMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: PrimaryGeneratorMessenger.hh,v 1.3 2006/06/29 16:57:56 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/RunAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/RunAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/RunAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: RunAction.hh,v 1.14 2008/08/22 18:30:27 vnivanch Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/StepMax.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/StepMax.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/StepMax.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMax.hh,v 1.3 2006/06/29 16:58:01 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/StepMaxMessenger.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/StepMaxMessenger.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/StepMaxMessenger.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: StepMaxMessenger.hh,v 1.2 2006/06/29 16:58:03 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/SteppingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/SteppingAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/SteppingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingAction.hh,v 1.2 2006/06/29 16:58:05 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/SteppingVerbose.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/SteppingVerbose.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/SteppingVerbose.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: SteppingVerbose.hh,v 1.2 2006/06/29 16:58:07 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/TrackingAction.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/TrackingAction.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/TrackingAction.hh	(revision 1337)
@@ -25,5 +25,5 @@
 //
 // $Id: TrackingAction.hh,v 1.2 2006/06/29 16:58:09 gunter Exp $
-// GEANT4 tag $Name: geant4-09-03-cand-01 $
+// GEANT4 tag $Name: geant4-09-04-beta-01 $
 //
 //....oooOO0OOooo........oooOO0OOooo........oooOO0OOooo........oooOO0OOooo......
Index: trunk/examples/extended/electromagnetic/TestEm7/include/c2_function.hh
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/c2_function.hh	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/c2_function.hh	(revision 1337)
@@ -31,5 +31,5 @@
  *
  *  \author Created by R. A. Weller and Marcus H. Mendenhall on 7/9/05.
- *  \author Copyright 2005 __Vanderbilt University__. All rights reserved.
+ *  \author 2005 Vanderbilt University.
  *
  * 	\version c2_function.hh,v 1.238 2008/05/22 12:45:19 marcus Exp
@@ -302,5 +302,5 @@
 	/// It is not maintained automatically in general!  The root finder, integrator, and sampler do increment it.
 	/// \return number of evaluations logged since last reset.
-	volatile size_t get_evaluations() const { return evaluations; }
+	size_t get_evaluations() const { return evaluations; }
 	/// \brief reset the counter
 	void reset_evaluations()  const { evaluations=0; } // evaluations are 'invisible' to constant
Index: trunk/examples/extended/electromagnetic/TestEm7/include/c2_function.icc
===================================================================
--- trunk/examples/extended/electromagnetic/TestEm7/include/c2_function.icc	(revision 1230)
+++ trunk/examples/extended/electromagnetic/TestEm7/include/c2_function.icc	(revision 1337)
@@ -31,5 +31,5 @@
  *
  *  \author Created by R. A. Weller and Marcus H. Mendenhall on 7/9/05.
- *  \author Copyright 2005 __Vanderbilt University__. All rights reserved.
+ *  \author 2005 Vanderbilt University.
  *
  *	\version c2_function.cc,v 1.169 2008/05/22 12:45:19 marcus Exp
@@ -346,6 +346,6 @@
 	size_t i;
 	
-	if(!rev) for(i = 2; i < np && (data[i-1] < data[i]) ; i++);
-	else for(i = 2; i < np &&(data[i-1] > data[i]) ; i++);
+	if(!rev) for(i = 2; i < np && (data[i-1] < data[i]) ; i++) { }
+	else for(i = 2; i < np &&(data[i-1] > data[i]) ; i++) { }
 	
 	if(i != np) throw c2_exception(message);
